From ed583d0672d00da2b7768da9cb898704ee3116b3 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 05 2024 21:49:06 +0000
Subject: [PATCH 13/220] Fix system76-power


---

diff --git a/cosmic_apps.py b/cosmic_apps.py
index dd45adb..cb40c49 100644
--- a/cosmic_apps.py
+++ b/cosmic_apps.py
@@ -1013,7 +1013,7 @@ SYSTEM76_POWER = {
 "summary": "System76 Power Management",
 "license": GPL3,
 "sources": STANDARD_SOURCES,
-"buildrequires": STANDARD_BUILDREQUIRES,
+"buildrequires": STANDARD_BUILDREQUIRES + "\nBuildRequires: rust-hidapi+linux-shared-libusb-devel",
 "requires": STANDARD_REQUIRES,
 "prep": STANDARD_PREP + f"\ntar -pxf vendor.tar",
 "build": f"""cargo build --release --offline --frozen""",
diff --git a/system76-power/system76-power.spec b/system76-power/system76-power.spec
index fe9694b..6a88626 100644
--- a/system76-power/system76-power.spec
+++ b/system76-power/system76-power.spec
@@ -45,6 +45,7 @@ BuildRequires:  libinput-devel
 BuildRequires:  pam-devel
 BuildRequires:  flatpak-devel
 
+BuildRequires: rust-hidapi+linux-shared-libusb-devel
 
 
 # For now, we require all deps for all of cosmic-epoch

